
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

This patch fixes build of arch/ppc/kernel/irc.c when CONFIG_TAU_INT is set.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/irq.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN arch/ppc/kernel/irq.c~ppc-fix-build-of-irqc-with-config_tau_int arch/ppc/kernel/irq.c
--- 25/arch/ppc/kernel/irq.c~ppc-fix-build-of-irqc-with-config_tau_int	2004-10-21 20:52:27.606270352 -0700
+++ 25-akpm/arch/ppc/kernel/irq.c	2004-10-21 20:52:27.609269896 -0700
@@ -71,6 +71,11 @@ unsigned long ppc_cached_irq_mask[NR_MAS
 unsigned long ppc_lost_interrupts[NR_MASK_WORDS];
 atomic_t ppc_n_lost_interrupts;
 
+#ifdef CONFIG_TAU_INT
+extern int tau_initialized;
+extern int tau_interrupts(int);
+#endif
+
 int show_interrupts(struct seq_file *p, void *v)
 {
 	int i = *(loff_t *) v, j;
_
